<?xml version="1.0" ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>wcd 6.0.5 - Wherever Change Directory</title>
<meta http-equiv="content-type" content="text/html; charset=utf-8" />
<link rev="made" href="mailto:ASSI@cygwinpro.fritz.box" />
</head>

<body>



<ul id="index">
  <li><a href="#NOM">NOM</a></li>
  <li><a href="#SYNOPSIS">SYNOPSIS</a></li>
  <li><a href="#DESCRIPTION">DESCRIPTION</a>
    <ul>
      <li><a href="#Prsentation">Pr&eacute;sentation</a></li>
      <li><a href="#Utilisation-basique">Utilisation basique</a></li>
      <li><a href="#Caractres-gnriques">Caract&egrave;res g&eacute;n&eacute;riques</a></li>
      <li><a href="#Autres-utilisations">Autres utilisations</a></li>
      <li><a href="#chemins-Windows-UNC">chemins Windows UNC</a></li>
      <li><a href="#Redimensionnement-de-console-sous-Windows">Redimensionnement de console sous Windows</a></li>
      <li><a href="#Interfaces">Interfaces</a></li>
    </ul>
  </li>
  <li><a href="#OPTIONS">OPTIONS</a></li>
  <li><a href="#INSTALLATION">INSTALLATION</a>
    <ul>
      <li><a href="#Installation-pour-les-interfaces-systme-de-type-POSIX">Installation pour les interfaces syst&egrave;me de type POSIX</a></li>
      <li><a href="#Installation-pour-les-interfaces-systme-de-type-C-csh-tcsh">Installation pour les interfaces syst&egrave;me de type C (csh, tcsh)</a></li>
      <li><a href="#Version-de-lInvite-de-Commande-Windows">Version de l&#39;Invite de Commande Windows</a></li>
      <li><a href="#Windows-VISTA-et-ultrieur">Windows VISTA et ult&eacute;rieur</a></li>
      <li><a href="#Version-Windows-PowerShell">Version Windows PowerShell</a></li>
      <li><a href="#Version-OS-2-Command-Prompt">Version OS/2 Command Prompt</a></li>
    </ul>
  </li>
  <li><a href="#LOCALISATION">LOCALISATION</a>
    <ul>
      <li><a href="#PAGES-DE-CODES-WINDOWS">PAGES DE CODES WINDOWS</a></li>
      <li><a href="#UNICODE">UNICODE</a>
        <ul>
          <li><a href="#UTF-8-sur-Unix-Linux">UTF-8 sur Unix/Linux</a></li>
          <li><a href="#UTF-16-sur-Windows">UTF-16 sur Windows</a></li>
          <li><a href="#UTF-8-sur-Cygwin">UTF-8 sur Cygwin</a></li>
        </ul>
      </li>
    </ul>
  </li>
  <li><a href="#FICHIERS">FICHIERS</a></li>
  <li><a href="#VARIABLES-DENVIRONNEMENT">VARIABLES D&#39;ENVIRONNEMENT</a></li>
  <li><a href="#VOIR-AUSSI">VOIR AUSSI</a></li>
  <li><a href="#AUTEURS">AUTEURS</a></li>
</ul>

<h1 id="NOM">NOM</h1>

<p>wcd - Wherever Change Directory</p>

<p>chdir pour DOS et Unix.</p>

<h1 id="SYNOPSIS">SYNOPSIS</h1>

<pre><code>    wcd [options] [r&eacute;pertoire]</code></pre>

<h1 id="DESCRIPTION">DESCRIPTION</h1>

<h2 id="Prsentation">Pr&eacute;sentation</h2>

<p>Wcd est un logiciel en ligne de commande permettant de changer de r&eacute;pertoire rapidement. Il permet de gagner du temps d&#39;&eacute;criture au clavier. Un utilisateur n&#39;a besoin de taper qu&#39;une partie du nom d&#39;un r&eacute;pertoire et wcd s&#39;y d&eacute;placera. Wcd a une m&eacute;thode de s&eacute;lection rapide lors de multiples correspondances et permet l&#39;alias et le bannissement de r&eacute;pertoires. Wcd inclus &eacute;galement un navigateur d&#39;arborescence de fichiers int&eacute;ractif en mode plein &eacute;cran et avec recherche rapide.</p>

<p>Wcd a &eacute;t&eacute; construit sur le mod&egrave;le du Norton Change Directory (NCD). NCD est apparu pour la premi&egrave;re fois dans <i>The Norton Utilities, Release 4</i>, pour DOS en 1987 et publi&eacute; par Peter Norton.</p>

<p>Wcd a &eacute;t&eacute; adapt&eacute; &agrave; diff&eacute;rentes interfaces syst&egrave;me en ligne de <span style="white-space: nowrap;">commande :</span> DOS command.com, Windows cmd.exe et PowerShell, OS/2 cmd.exe, et aux interfaces syst&egrave;me Unix telles que Bourne (sh), Bourne Again (bash), Korn (ksh), Z (zsh), et C (csh) ainsi qu&#39;&agrave; d&#39;autres fonctionnant sur tout syst&egrave;me d&#39;exploitation.</p>

<p>Wcd prend en charge les ensemble de caract&egrave;res 8 bits sur tous les syst&egrave;mes, et prend en charge l&#39;Unicode de fa&ccedil;on optionnelle. Voir la section LOCALISATION.</p>

<p>Voir la section INSTALLATION pour mettre en place wcd dans le cas d&#39;un usage personnel.</p>

<h2 id="Utilisation-basique">Utilisation basique</h2>

<p>Par d&eacute;faut (si aucun caract&egrave;re g&eacute;n&eacute;rique n&#39;est utilis&eacute;) wcd cherche un r&eacute;pertoire avec un nom commen&ccedil;ant par le nom entr&eacute;.</p>

<p>Par exemple, cette commande changera vers le r&eacute;pertoire de l&#39;utlisateur courant <span style="white-space: nowrap;"><code>/home/user/Desktop</code> :</span></p>

<pre><code>    wcd Desk</code></pre>

<p>Lorsqu&#39;il y a plusieurs correspondances, wcd affichera &agrave; l&#39;utilisateur une liste les contenant toutes. L&#39;utilisateur pourra alors faire un choix avec quelques de frappes clavier (une seule la plus part du temps).</p>

<h2 id="Caractres-gnriques">Caract&egrave;res g&eacute;n&eacute;riques</h2>

<p>Wcd prend en charge les caract&egrave;res g&eacute;n&eacute;riques <span style="white-space: nowrap;">suivant :</span></p>

<pre><code>    *           correspond &agrave; toute s&eacute;quence de caract&egrave;res (z&eacute;ro ou plus)
    ?           correspond &agrave; n&#39;importe quel caract&egrave;re
    [ENSEMBLE]  correspond &agrave; n&#39;importe quel caract&egrave;re dans l&#39;ensemble donn&eacute;,
    [!ENSEMBLE] ou [^ENSEMBLE] correspond &agrave; n&#39;importe quel caract&egrave;re qui n&#39;est pas dans l&#39;ensemble donn&eacute;.</code></pre>

<p>Un ensemble est compos&eacute; de caract&egrave;res ou <span style="white-space: nowrap;">d&#39;intervalles ;</span> un intervalle s&#39;&eacute;crit <i>caract&egrave;re tiret caract&egrave;re</i> comme dans <code>0-9</code> ou <code>A-Z</code>. <code>[0-9a-zA-Z_]</code> est l&#39;ensemble minimal de caract&egrave;res autoris&eacute;s dans la construction du motif <code>[...]</code>. Les caract&egrave;res internationaux (&agrave; savoir des caract&egrave;res de 8 bits) sont autoris&eacute;s si le syst&egrave;me les prend en charge. Pour supprimer le sens syntaxique sp&eacute;cial de n&#39;importe quel caract&egrave;re <code>[]*?!^-\</code> &agrave; l&#39;int&eacute;rieur ou &agrave; l&#39;ext&eacute;rieur d&#39;une construction <code>[..]</code> et ainsi indiquer une correspondance envers le caract&egrave;re lui-m&ecirc;me, il faut le faire pr&eacute;c&eacute;der d&#39;une barre oblique invers&eacute;e (<code>\</code>).</p>

<p>L&#39;utilisation de caract&egrave;res g&eacute;n&eacute;riques rend possible des recherches complexes. Par exemple, ceci correspond &agrave; n&#39;importe quel nom de r&eacute;pertoire se terminant par <span style="white-space: nowrap;">&laquo; top &raquo; :</span></p>

<pre><code>    wcd *eau</code></pre>

<p>Fait correspondre les r&eacute;pertoires qui ont <span style="white-space: nowrap;">&laquo; eau &raquo;</span> quelque part dans leur <span style="white-space: nowrap;">nom :</span></p>

<pre><code>    wcd *eau*</code></pre>

<p>Fait correspondre n&#39;importe quel nom de r&eacute;pertoire commen&ccedil;ant par <span style="white-space: nowrap;">&laquo; a &raquo;,</span> <span style="white-space: nowrap;">&laquo; b &raquo;</span> ou <span style="white-space: nowrap;">&laquo; c &raquo; :</span></p>

<pre><code>    wcd [a-c]*</code></pre>

<p>Il est &eacute;galement possible de donner une partie du chemin d&#39;un r&eacute;pertoire. Ici Wcd cherche les r&eacute;pertoires dont le nom commence par <span style="white-space: nowrap;">&laquo; Bur &raquo;</span> et qui dont le chemin correspond &agrave; <i>*moi/Bur*</i>.</p>

<pre><code>    wcd moi/Bur</code></pre>

<p>Il est possible d&#39;entrer n&#39;importe quel type d&#39;expression avec des barres obliques et des caract&egrave;res g&eacute;n&eacute;riques. Par <span style="white-space: nowrap;">exemple :</span></p>

<pre><code>    wcd src*/*1?/a*2</code></pre>

<h2 id="Autres-utilisations">Autres utilisations</h2>

<p>Si aucun caract&egrave;re g&eacute;n&eacute;rique n&#39;est utilis&eacute; et que wcd trouve une correspondance parfaite, wcd ignorera toutes les correspondances g&eacute;n&eacute;riques par d&eacute;faut. Ce comportement peut &ecirc;tre modifi&eacute; par l&#39;option <b>-w</b>.</p>

<p>Le navigateur d&#39;arborescence de r&eacute;pertoire int&eacute;ractif peut &ecirc;tre d&eacute;marr&eacute; en utilisant l&#39;option <b>-g</b>.</p>

<pre><code>    wcd -g</code></pre>

<p>Wcd g&eacute;n&egrave;re un fichier d&#39;arborescence &agrave; l&#39;emplacement de la recherche du r&eacute;pertoire. Sur les syst&egrave;mes Unix et Windows, wcd ajoute des liens symboliques vers le fichier d&#39;arborescence lors de l&#39;examem du disque, mais ne les suit pas. S&#39;il suivait les liens, wcd pourrait en venir &agrave; examiner une boucle infinie, ou de tr&egrave;s grandes portions d&#39;un r&eacute;seau.</p>

<p>Wcd peut &eacute;galement changer vers des r&eacute;pertoires qui ne sont pas dans le fichier d&#39;arborescence. Par <span style="white-space: nowrap;">exemple :</span></p>

<pre><code>    wcd ..</code></pre>

<p>Si wcd trouve une correspondance mais ne peut pas aller au r&eacute;pertoire, il tente alors de le supprimer du fichier d&#39;arborescence par d&eacute;faut. Pas du fichier d&#39;arborescence suppl&eacute;mentaire. Voir &eacute;galement l&#39;option <b>-k</b>.</p>

<p>Wcd conserve une pile de r&eacute;pertoires stock&eacute;e sur le disque. La pile &agrave; une taille par d&eacute;faut de 10 et est cyclique. Voir les options <b>-z</b>, <b>-</b>, <b>+</b> et <b>=</b>.</p>

<p>Dans un environnement multi-utilisateurs, l&#39;option <b>-i</b> peut &ecirc;tre utilis&eacute;e pour se d&eacute;placer dans des r&eacute;pertoires d&#39;autres utilisateurs.</p>

<p>Sur les syst&egrave;mes DOS et Windows, peut importe si vous utilisez la barre oblique <span style="white-space: nowrap;">&laquo; / &raquo;</span> ou la barre oblique invers&eacute;e <span style="white-space: nowrap;">&laquo; \ &raquo;</span> comme s&eacute;parateur de r&eacute;pertoires.</p>

<p>Sur les syst&egrave;mes DOS et Windows, il est possible de changer de lecteur et de r&eacute;pertoire d&#39;un seul coup en faisant pr&eacute;c&eacute;der le nom du r&eacute;pertoire par le nom du lecteur.</p>

<pre><code>    wcd d:jeux</code></pre>

<h2 id="chemins-Windows-UNC">chemins Windows UNC</h2>

<p>Les versions Windows (Command Prompt, PowerShell, MSYS, zsh, cygwin) prennent en charge les chemins Windows SMB LAN UNC sans lettre de lecteur tels que <code>\\servername\sharename</code>. Wcd pour Windows Command Prompt utilise la commande <span style="white-space: nowrap;">&laquo; pushd &raquo;</span> pour faire correspondre un chemin UNC &agrave; une lettre de lecteur. Dans Windows PowerShell, MSYS, zsh et Cygwin, les chemins UNC sont pris en charge. Le r&eacute;pertoire de travail courant peut &ecirc;tre un chemin UNC.</p>

<h2 id="Redimensionnement-de-console-sous-Windows">Redimensionnement de console sous Windows</h2>

<p>Wcd prend en charge le redimensionnement de console dans les consoles Windows 10 et ConEmu (void <a href="https://conemu.github.io/">https://conemu.github.io/</a>) depuis la version 6.0.3. La console Windows 10 ne doit pas &ecirc;tre dans le mode h&eacute;rit&eacute; (v&eacute;rifier les propri&eacute;t&eacute;s de la console). L&#39;&eacute;cran peut ne pas &ecirc;tre rafra&icirc;chi lorsque la Configuration <span style="white-space: nowrap;">&laquo; Renvoyer</span> automatiquemet &agrave; la ligne le texte en cas de <span style="white-space: nowrap;">redimensionnement &raquo;</span> de la console est d&eacute;sactiv&eacute;e. L&#39;&eacute;cran peut &ecirc;tre rafra&icirc;chi manuellement en pressant la touche F5.</p>

<h2 id="Interfaces">Interfaces</h2>

<p>Wcd a trois interfaces pour choisir parmi une liste de correspondances. L&#39;interface peut &ecirc;tre choisie &agrave; la compilation.</p>

<p>La premi&egrave;re interface utilise simplement stdin/stdout. Une liste num&eacute;rot&eacute;e est affich&eacute;e dans le terminal. L&#39;utilisateur doit choisir parmi cette liste en entrant un nombre suivi de la touche &lt;Entrer&gt;. Cette interface ne fournit pas la fonctionnalit&eacute; de d&eacute;filement arri&egrave;re lorsque la liste est longue. La fonctionnalit&eacute; de d&eacute;filement arri&egrave;re du terminal ou de la console doit &ecirc;tre utilis&eacute;e. C&#39;est tr&egrave;s petit et portable.</p>

<p>La seconde interface est bas&eacute;e sur la biblioth&egrave;que conio. Elle fournit une capacit&eacute; de d&eacute;filement arri&egrave;re int&eacute;gr&eacute;e. L&#39;utilisateur voit affich&eacute;e une liste ordonn&eacute;e par des lettres. La s&eacute;lection dans cette liste peut se faire en pressant une seule lettre. Cette interface est rapide car elle &eacute;conomise les frappes. Si possible, l&#39;&eacute;cran sera restaur&eacute; apr&egrave;s sortie. Utiliser l&#39;option <b>-N</b> si l&#39;utilisation de nombres est pr&eacute;f&eacute;rr&eacute;e.</p>

<p>La troisi&egrave;me interface est construite avec la biblioth&egrave;que curses. Elle est similaire &agrave; l&#39;interface conio. La version curses de wcd a une interface <span style="white-space: nowrap;">&laquo; graphique &raquo;</span> suppl&eacute;mentaire. Elle laisse l&#39;utilisateur choisir un r&eacute;pertoire via un navigateur plein &eacute;cran et int&eacute;ractif d&#39;arbre de r&eacute;pertoires. Elle a une navigation et une m&eacute;thode de recherche similaire &agrave; celle de vim(1). Elle peut &ecirc;tre activ&eacute;e avec l&#39;option <b>-g</b>.</p>

<p>En utilisant l&#39;option <b>-o</b> il est toujours possible de revenir &agrave; l&#39;interface stdin/stdout.</p>

<h1 id="OPTIONS">OPTIONS</h1>

<dl>

<dt id="a"><b>-a</b></dt>
<dd>

<p>Ajouter le chemin courant au fichier d&#39;arborescence par d&eacute;faut.</p>

<p>Utiliser cette option pour ajouter de fa&ccedil;on rapide le chemin courant au fichier d&#39;arborescence par d&eacute;faut. Le r&eacute;examen complet du disque peut parfois pendre beaucoup de temps.</p>

</dd>
<dt id="aa"><b>-aa</b></dt>
<dd>

<p>Ajouter le chemin courant et tous les chemins parents au fichier d&#39;arborescence par d&eacute;faut.</p>

</dd>
<dt id="A-CHEMIN"><b>-A CHEMIN</b></dt>
<dd>

<p>Examiner l&#39;arborescence de r&eacute;pertoires depuis <i>CHEMIN</i> et l&#39;ajouter au fichier d&#39;arborescence par d&eacute;faut. <span style="white-space: nowrap;">Exemples :</span></p>

<pre><code>    wcd -A .
    wcd -A /home -A /etc
    wcd -A d: -A e: -A \\serveur\partage</code></pre>

<p>Sur Windows, il est possible d&#39;examiner tous les r&eacute;pertoires partag&eacute;s d&#39;un serveur LAN Windows en entrant quelque chose <span style="white-space: nowrap;">comme :</span> &lt;wcd -A \\nomdeserver&gt;</p>

<p>Voir &eacute;galement les options <b>-S</b> et <b>-s</b> et <b>-E</b>.</p>

</dd>
<dt id="b"><b>-b</b></dt>
<dd>

<p>Bannir le chemin courant.</p>

<p>Wcd met le chemin courant dans le fichier de bannissements. Cela signifie que wcd ignore toutes les correspondances de ce r&eacute;pertoire et de ses sous-r&eacute;pertoires.</p>

<p>Le fichier de bannissements peut &ecirc;tre modifi&eacute; avec un &eacute;diteur de texte. L&#39;utilisation de caract&egrave;res g&eacute;n&eacute;riques est prise en charge et les noms sont mis en correspondance avec le chemin absolu.</p>

<p>Les chemins bannis ne sont pas exclus de l&#39;examen du disque. Pour cela utiliser l&#39;option <b>-xf</b>.</p>

</dd>
<dt id="c---direct-cd"><b>-c, --direct-cd</b></dt>
<dd>

<p>Mode CD direct. Par d&eacute;faut wcd marche de la fa&ccedil;on <span style="white-space: nowrap;">suivante :</span></p>

<pre><code>    1. Essaie de trouver une correspondance dans le(s) fichier(s) d&#39;arborescence
    2. S&#39;il n&#39;y a pas de correspondance, essaie d&#39;ouvrir le r&eacute;pertoire que vous avez entr&eacute;.</code></pre>

<p>En mode CD direct wcd marche en ordre inverse.</p>

<pre><code>    1. Essaie d&#39;ouvrir le r&eacute;pertoire que vous avez entr&eacute;.
    2. Sinon, essaie de trouver une correspondance dans le(s) fichier(s) d&#39;arborescence.</code></pre>

</dd>
<dt id="d-LECTEUR"><b>-d LECTEUR</b></dt>
<dd>

<p>Choisir le lecteur pour le fichier de pile et de <span style="white-space: nowrap;">&laquo; go &raquo;</span> (DOS uniquement).</p>

<p>Les fichiers de pile et de script <span style="white-space: nowrap;">&laquo; go &raquo;</span> sont stock&eacute;s sur le lecteur C: par d&eacute;faut si la variable d&#39;environnement <i>HOME</i> n&#39;est pas d&eacute;finie. Utiliser cette option si le lecteur C: est un lecteur en lecture seule. Cette option doit &ecirc;tre utilis&eacute;e devant les options de pile <b>-</b>, <b>+</b> and <b>=</b>.</p>

</dd>
<dt id="e"><b>-e</b></dt>
<dd>

<p>Ajouter le chemin courant au fichier d&#39;arborescence suppl&eacute;mentaire.</p>

<p>Utiliser cette option pour ajouter rapidement le chemin courant au fichier d&#39;arborescence suppl&eacute;mentaire.</p>

</dd>
<dt id="ee"><b>-ee</b></dt>
<dd>

<p>Ajouter le chemin courant et tous les chemins parents au fichier d&#39;arborescence suppl&eacute;mentaire.</p>

</dd>
<dt id="E-CHEMIN"><b>-E CHEMIN</b></dt>
<dd>

<p>Examiner l&#39;arborescence de r&eacute;pertoires depuis <i>CHEMIN</i> et l&#39;ajouter au fichier d&#39;arborescence suppl&eacute;mentaire. Voir aussi les options <b>-A</b> et <b>-S</b>.</p>

</dd>
<dt id="f-FICHIER"><b>-f FICHIER</b></dt>
<dd>

<p>Lire le fichier d&#39;arborescence <i>FICHIER</i>. Ne pas lire le fichier d&#39;arborescence par d&eacute;faut.</p>

</dd>
<dt id="f-FICHIER1"><b>+f FICHIER</b></dt>
<dd>

<p>Lire le fichier d&#39;arborescence <i>FICHIER</i> en plus du fichier d&#39;arborescence par d&eacute;faut.</p>

</dd>
<dt id="g"><b>-g</b></dt>
<dd>

<p>Interface graphique (uniquement pour les versions avec l&#39;interface curses).</p>

<p>Wcd d&eacute;marre une interface <span style="white-space: nowrap;">&laquo; graphique &raquo;</span> textuelle bas&eacute;e sur curses. L&#39;utilisateur peut choisir un r&eacute;pertoire via le navigateur d&#39;arbre de r&eacute;pertoires int&eacute;ractif en plein &eacute;cran. Il poss&egrave;de une m&eacute;thode de navigation et de recherche similaire &agrave; celle de vim(1).</p>

<p>Si aucune cha&icirc;ne de recherche n&#39;est donn&eacute;e, wcd affiche l&#39;arbre entier qui se trouve dans le fichier d&#39;arborescence par d&eacute;faut ainsi que dans les fichiers d&#39;arborescence suppl&eacute;mentaires.</p>

<p>Si une cha&icirc;ne de recherche est donn&eacute;e, la liste des correspondances est affich&eacute;e comme un arbre de r&eacute;pertoires.</p>

<p>La disposition par d&eacute;faut de l&#39;arbre est similaire &agrave; celle du NCD initial sur DOS. La diff&eacute;rence de disposition r&eacute;side dans le fait que pour NCD, tous les r&eacute;pertoires de profondeur identique &eacute;taient align&eacute;s verticalement sur toute la hauteur de l&#39;arbre. Cela &eacute;tait possible sous NCD parce que la longueur maximale d&#39;un nom de r&eacute;pertoire sous DOS &eacute;tait de 12 (8.3) caract&egrave;res. Les noms de r&eacute;pertoire pouvant &ecirc;tre tr&egrave;s longs sur les syst&egrave;mes d&#39;exploitation modernes, la diff&eacute;rence de longeur peut &ecirc;tre importante. De fait, les dossiers de m&ecirc;me profondeur ne sont pas align&eacute;s verticalement sur la totalit&eacute; de l&#39;arbre dans wcd, mais seulement dans les sous-branches. Il y a donc des mouvements lat&eacute;raux lors d&#39;un d&eacute;placement direct vers le haut ou vers le bas depuis une sous-branche vers une autre sous-branche.</p>

<p>Le comportement de navigation de Wcd est exactement identique &agrave; celui du NCD initial. Par exemple, l&#39;appui sur la touche Bas du clavier am&egrave;ne au r&eacute;pertoire suivant avec la m&ecirc;me profondeur, passant outre les branches. Cela permet une navigation rapide dans l&#39;arbre.</p>

<p>Voir les options <b>-Ta</b>, <b>-TC</b>, et <b>-Tc</b> pour modifier le comportement de la navigation.</p>

</dd>
<dt id="gd"><b>-gd</b></dt>
<dd>

<p>D&eacute;charger les fichiers d&#39;arborescence sous forme d&#39;arbre sur la sortie standard.</p>

</dd>
<dt id="G-CHEMIN"><b>-G CHEMIN</b></dt>
<dd>

<p>Ecrire le script <span style="white-space: nowrap;">&laquo; go &raquo;</span> dans le r&eacute;pertoire <i>CHEMIN</i>. Par exemple sur Unix, <code>wcd -G CHEMIN</code> va &eacute;crire un fichier de script <span style="white-space: nowrap;">&laquo; go &raquo;</span> <b>CHEMIN/wcd.go</b>.</p>

</dd>
<dt id="GN---no-go-script"><b>-GN, --no-go-script</b></dt>
<dd>

<p>Ne pas cr&eacute;er un script <span style="white-space: nowrap;">&laquo; go &raquo;.</span> Cette option peut &ecirc;tre utilis&eacute;e en association avec l&#39;option <b>-j</b> si la cr&eacute;ation d&#39;un script <span style="white-space: nowrap;">&laquo; go &raquo;</span> n&#39;est pas d&eacute;sir&eacute;e.</p>

</dd>
<dt id="h---help"><b>-h, --help</b></dt>
<dd>

<p>Afficher l&#39;aide et quitter.</p>

</dd>
<dt id="i---ignore-case"><b>-i, --ignore-case</b></dt>
<dd>

<p>Ignorer la casse. Les versions Dos et Windows de wcd ignorent la casse par d&eacute;faut. Les versions Unix/Cygwin respectent la casse par d&eacute;faut.</p>

</dd>
<dt id="i---no-ignore-case"><b>+i, --no-ignore-case</b></dt>
<dd>

<p>Respecter la casse. Voir aussi l&#39;option <b>-i</b>.</p>

</dd>
<dt id="I---ignore-diacritics"><b>-I, --ignore-diacritics</b></dt>
<dd>

<p>Ignorer les caract&egrave;res diacritiques pour les scripts en Latin. Les lettres avec des symboles diacritiques correspondent &agrave; leur lettre de base sans ces symboles diacritiques. Les encodages Latin suivant sont pris en <span style="white-space: nowrap;">charge :</span> CP437, CP850, CP852, CP1250, CP1252, ISO-8859-1, ISO-8859-2, et Unicode Latin-1, Latin Extended-A, et Latin Extended-B. Voir aussi <a href="http://en.wikipedia.org/wiki/Diacritic">http://en.wikipedia.org/wiki/Diacritic</a></p>

</dd>
<dt id="I---no-ignore-diacritics"><b>+I, --no-ignore-diacritics</b></dt>
<dd>

<p>Prendre en compte les diacritiques (d&eacute;faut). Voir aussi l&#39;option <b>-I</b>.</p>

</dd>
<dt id="j---just-go"><b>-j, --just-go</b></dt>
<dd>

<p>Mode &agrave; acc&egrave;s direct.</p>

<p>Dans ce mode, wcd ne pr&eacute;sentera pas de liste lorsqu&#39;il y a plusieurs r&eacute;pertoires correspondant au r&eacute;pertoire donn&eacute;. Wcd changera vers la premi&egrave;re option. Lorsque wcd est appel&eacute; une nouvelle fois avec les m&ecirc;me arguments, il changera vers l&#39;option suivante et ainsi de suite.</p>

<p>Wcd affichera le r&eacute;pertoire vers lequel aller sur la sortie standard. Une m&eacute;thode d&#39;installation diff&eacute;rente peut &ecirc;tre utilis&eacute;e. On pourra &eacute;crire la fonction suivante pour une interface syst&egrave;me compatible <span style="white-space: nowrap;">POSIX :</span></p>

<pre><code>    wcd ()
    {
        cd &quot;$($HOME/bin/wcd.exe -j $@)&quot;
    }</code></pre>

<p>Lors de l&#39;utilisation d&#39;une interface syst&egrave;me ancienne ne prenant pas en charge la substitution de commande <span style="white-space: nowrap;">&laquo; $() &raquo;,</span> il faut recourir &agrave; la substitution de commande ancienne utilisant l&#39;accent grave.</p>

<pre><code>    wcd ()
    {
        cd &quot;`$HOME/bin/wcd.exe -j $@`&quot;
    }</code></pre>

<p>Sur les syst&egrave;mes Windows, si l&#39;interface syst&egrave;me 4NT est utilis&eacute;e, il est alors possible de faire l&#39;alias <span style="white-space: nowrap;">suivant :</span></p>

<pre><code>    alias wcd `cd %@execstr[wcdwin32.exe -z 0 -j %1]`</code></pre>

<p>Cette m&eacute;thode supprime la n&eacute;cessit&eacute; d&#39;un script <span style="white-space: nowrap;">&laquo; go &raquo;,</span> et il est donc possible de combiner l&#39;option <b>-GN</b> avec l&#39;option <b>-j</b>.</p>

</dd>
<dt id="k---keep-paths"><b>-k, --keep-paths</b></dt>
<dd>

<p>Garder les chemins.</p>

<p>Conserver les chemins dans le fichier d&#39;arborescence lorsque wcd ne peut s&#39;y d&eacute;placer. Le comportement par d&eacute;faut de wcd est d&#39;essayer de supprimer les chemins du fichier d&#39;arborescence lorsque wcd ne peut s&#39;y rendre. Cette option d&eacute;sactive ce comportement.</p>

</dd>
<dt id="K---color"><b>-K, --color</b></dt>
<dd>

<p>Utiliser les couleurs en mode graphique.</p>

</dd>
<dt id="l-ALIAS"><b>-l ALIAS</b></dt>
<dd>

<p>Nommer le chemin courant avec <i>ALIAS</i>. Wcd ajoute le chemin courant avec <i>ALIAS</i> pour alias dans le fichier d&#39;alias. Les alias sont sensibles &agrave; la casse.</p>

</dd>
<dt id="ls"><b>-ls</b></dt>
<dd>

<p>Afficher le nom du fichier d&#39;alias et lister tous les alias.</p>

</dd>
<dt id="m-REP"><b>-m REP</b></dt>
<dd>

<p>Cr&eacute;er un r&eacute;pertoire et l&#39;ajouter au fichier d&#39;arborescence.</p>

</dd>
<dt id="L---license"><b>-L, --license</b></dt>
<dd>

<p>Afficher la license de distribution.</p>

</dd>
<dt id="M-REP"><b>-M REP</b></dt>
<dd>

<p>Cr&eacute;er un r&eacute;pertoire et l&#39;ajouter au fichier d&#39;arborescence suppl&eacute;mentaire.</p>

</dd>
<dt id="n-CHEMIN"><b>-n CHEMIN</b></dt>
<dd>

<p>Lire le fichier d&#39;arborescence relative depuis <i>CHEMIN</i>.</p>

<p>Ne pas lire le fichier d&#39;arborescence par d&eacute;faut. Le fichier d&#39;arborescence relative doit avoir &eacute;t&eacute; cr&eacute;&eacute; en utilisant l&#39;option <b>+S</b> de wcd. <i>CHEMIN</i> peut &eacute;galement r&eacute;f&eacute;rencer directement un fichier.</p>

<p>Un exemple. Supposons qu&#39;un autre syst&egrave;me ait &eacute;t&eacute; mont&eacute; au point de montage <span style="white-space: nowrap;"><code>/mnt/network</code> :</span></p>

<pre><code>    wcd -n /mnt/network src</code></pre>

<p>Wcd ouvre le ficher d&#39;arborescence relative dans <code>/mnt/network/</code>. Le fichier contient les chemins relatifs depuis cet endroit.</p>

</dd>
<dt id="n-CHEMIN1"><b>+n CHEMIN</b></dt>
<dd>

<p>Lire le ficher d&#39;arborescence relative en plus du fichier d&#39;arborescence par d&eacute;faut. Voir l&#39;option <b>-n</b>.</p>

</dd>
<dt id="N---numbers"><b>-N, --numbers</b></dt>
<dd>

<p>Utiliser des nombres &agrave; la place de lettres.</p>

<p>Wcd avec une interface bas&eacute;e sur conio ou curses (voir la section Interfaces) affiche une liste de correspondances index&eacute;es par des lettres par d&eacute;faut. Lorsque l&#39;option <b>-N</b> est utilis&eacute;e, la liste de correspondances est index&eacute;e par des nombres. Ind&eacute;pendamment de l&#39;option <b>-N</b>, il est possible d&#39;entrer une lettre ou un nombre pour effectuer une s&eacute;lection dans la liste de correspondances.</p>

</dd>
<dt id="o"><b>-o</b></dt>
<dd>

<p>Utiliser l&#39;interface stdin/stdout.</p>

<p>Lorsque l&#39;interface conio ou curses de wcd ne fonctionne pas pour quelque raison que ce soit, il est possible de se rabattre sur l&#39;interface stdin/stdout de wcd en utilisant l&#39;option <b>-o</b>.</p>

</dd>
<dt id="od---to-stdout"><b>-od, --to-stdout</b></dt>
<dd>

<p>D&eacute;charger l&#39;ensemble des correspondances dans stdout.</p>

</dd>
<dt id="q---quiet"><b>-q, --quiet</b></dt>
<dd>

<p>Fonctionnement plus silencieux. L&#39;affichage de la derni&egrave;re correspondance est supprim&eacute;.</p>

</dd>
<dt id="r-REP"><b>-r REP</b></dt>
<dd>

<p>Supprimer un r&eacute;pertoire et le supprimer du fichier d&#39;arborescence.</p>

<p>Si le r&eacute;pertoire est vide, wcd le supprimera et tentera de le supprimer du fichier d&#39;arborescence.</p>

</dd>
<dt id="rmtree-REP"><b>-rmtree REP</b></dt>
<dd>

<p>Supprimer un r&eacute;pertoire de fa&ccedil;on r&eacute;cursive et le supprimer du fichier d&#39;arborescence.</p>

<p>Wcd supprimera le r&eacute;pertoire ainsi que tous ses sous-r&eacute;pertoires et fichiers et supprimera ces r&eacute;pertoires du fichier d&#39;arborescence.</p>

</dd>
<dt id="s"><b>-s</b></dt>
<dd>

<p>(r&eacute;)Examiner le disque depuis le r&eacute;pertoire <code>HOME</code>. Si <i>HOME</i> n&#39;est pas d&eacute;fini, le disque est examin&eacute; depuis le r&eacute;pertoire racine /.</p>

<p>Le fichier d&#39;arborescence par d&eacute;faut existant est &eacute;cras&eacute;.</p>

<p>Le r&eacute;pertoire d&#39;examen par d&eacute;faut peut &ecirc;tre renvers&eacute; par la variable d&#39;enrivonnement <code>WCDSCAN</code>. Voir la section VARIABLES D&#39;ENVIRONNEMENT .</p>

</dd>
<dt id="S-CHEMIN"><b>-S CHEMIN</b></dt>
<dd>

<p>Examiner l&#39;arbre de r&eacute;pertoires depuis <i>CHEMIN</i> et &eacute;craser le fichier d&#39;arborescence par d&eacute;faut. Voir aussi les options <b>-A</b>, <b>-s</b> et <b>-E</b>. Par exemple, avec l&#39;option <b>-A</b> il est possible de cr&eacute;er un fichier d&#39;arborescence par d&eacute;faut de votre choix. <span style="white-space: nowrap;">Exemples :</span></p>

<p><span style="white-space: nowrap;">Unix :</span></p>

<pre><code>    wcd -S /
    wcd -S /home -A /etc -A /usr</code></pre>

<p>DOS / <span style="white-space: nowrap;">Windows :</span></p>

<pre><code>    wcd -S c:/
    wcd -S c: -A d: -A \\serveur\partage</code></pre>

<p>Avec les versions Windows, il est possible d&#39;examiner tous les r&eacute;pertoires partag&eacute;s d&#39;un serveur LAN Windows en entrant une commande similaire <span style="white-space: nowrap;">&agrave; :</span> <code>wcd -S \\nomserveur</code>.</p>

</dd>
<dt id="S-CHEMIN1"><b>+S CHEMIN</b></dt>
<dd>

<p>Examiner le disque depuis <i>CHEMIN</i> et placer les chemins relatifs dans un fichier d&#39;arborescence relative. Ce fichier est utilis&eacute; par les options <b>-n</b> et <b>+n</b> de wcd. Par exemple <code>wcd -n CHEMIN src</code>.</p>

</dd>
<dt id="t"><b>-t</b></dt>
<dd>

<p>Ne pas &eacute;viter le dossier de montage temporaire <code>/tmp_mnt</code> (Unix uniquement).</p>

<p>Par d&eacute;faut, wcd retire <code>/tmp_mnt/</code> des correpondances. Le r&eacute;pertoire <code>/tmp_mnt</code> est utilis&eacute; par le montage automatique. Ce comportement peut &ecirc;tre &eacute;vit&eacute; avec l&#39;option <b>-t</b>.</p>

</dd>
<dt id="T---ascii-tree"><b>-T, --ascii-tree</b></dt>
<dd>

<p>Dessiner l&#39;arbre avec des caract&egrave;res ASCII. Utiliser cette option si les caract&egrave;res de dessin de ligne ne s&#39;affichent pas correctement dans le terminal.</p>

</dd>
<dt id="Ta---alt-tree-nav"><b>-Ta, --alt-tree-nav</b></dt>
<dd>

<p>Navigation alternative dans l&#39;arbre graphique.</p>

<p>Dans la disposition d&#39;arbre du style par d&eacute;faut du NCD, l&#39;option <b>-Ta</b> d&eacute;sactive le saut vers des r&eacute;pertoires sans liens.</p>

<p>Dans le mode d&#39;arbre compact, le mode alternatif rend la navigation similaire &agrave; celle de gestionnaires de fichiers graphiques tels que Windows Explorer ou Linux KDE Konqueror. L&#39;appui sur les touches Haut et Bas d&eacute;place le dossier s&eacute;lectionn&eacute; d&#39;une ligne vers le haut ou le bas. Le premier appui sur la touche Gauche replie les sous-dossiers, le second se d&eacute;place r&eacute;ellement &agrave; gauche.</p>

<p>Il est possible de basculer &agrave; la vol&eacute;e entre une navigation par d&eacute;faut et alternative en pressant &lt;Shift-A&gt;.</p>

<p>Lorsque le mode de navigation alternative est activ&eacute;, un <span style="white-space: nowrap;">&laquo; A &raquo;</span> est visible dans l&#39;angle inf&eacute;rieur droit.</p>

</dd>
<dt id="TC---center-tree"><b>-TC, --center-tree</b></dt>
<dd>

<p>Vue centr&eacute;e dans l&#39;arbre graphique. Le r&eacute;pertoire choisi reste au centre de l&#39;&eacute;cran. Le mode centr&eacute; peut aussi &ecirc;tre activ&eacute;/d&eacute;sactiv&eacute; avec la clef &lt;t&gt; dans l&#39;arbre graphique.</p>

<p>Le comportement non centr&eacute; standard, qui minimise le mouvement d&#39;arbre, est identique &agrave; celui du NCD original.</p>

</dd>
<dt id="Tc---compact-tree"><b>-Tc, --compact-tree</b></dt>
<dd>

<p>Par d&eacute;faut l&#39;arbre <span style="white-space: nowrap;">&laquo; graphique &raquo;</span> est dessin&eacute; de la m&ecirc;me fa&ccedil;on que le faisait le NCD original sur DOS. Sur DOS, un chemin de r&eacute;pertoire ne pouvait faire que 66 caract&egrave;res au total. Avec les structures de r&eacute;pertoire profondes comtemporaines, l&#39;arbre peut devenir tr&egrave;s large. Pour surmonter cela, wcd peut dessiner l&#39;arbre d&#39;une fa&ccedil;on compacte, de fa&ccedil;on similaire &agrave; la plus part des gestionnaires de fichier graphiques, avec un seul fichier par ligne. Utiliser l&#39;option <b>-Tc</b> ou basculer &agrave; la vol&eacute;e avec la clef &lt;m&gt;.</p>

</dd>
<dt id="Td---cjk-width"><b>-Td, --cjk-width</b></dt>
<dd>

<p>Les polices CJK d&#39;Asie de l&#39;Est (Chine, Japon et Cor&eacute;e) poss&egrave;dent certains caract&egrave;res et symboles de trac&eacute; de ligne avec une largeur de colonne de 2, alors que la largeur Unicode normale pour ces caract&egrave;res est de 1 colonne. Par exemple, la police de trame CP936 chinoise sur Windows et la police Simsun. Utiliser cette option lorsqu&#39;une police de type CJK est utilis&eacute;e pour obtenir un contour de l&#39;arbre graphique correct.</p>

<p>Lorsque le mode CJK est actif, un <span style="white-space: nowrap;">&laquo; C &raquo;</span> est affich&eacute; dans le coin inf&eacute;rieur droit.</p>

</dd>
<dt id="u-UTILISATEUR"><b>-u UTILISATEUR</b></dt>
<dd>

<p>Examiner le fichier d&#39;arborescence d&#39;un autre utilisateur en se basant sur <i>UTILISATEUR</i> et ne pas examiner votre propre fichier d&#39;arborescence. Voir aussi <i>WCDUSERHOME</i> dans la section VARIABLES D&#39;ENVIRONNEMENT.</p>

<p>Sur Unix/Cygwin le r&eacute;pertoire racine pour les r&eacute;pertoires utilisateur est suppos&eacute; &ecirc;tre <code>/home</code>. Wcd recherchera <code>/home/UTILISATEUR/.treedata.wcd</code> et <code>/home/UTILISATEUR/.wcd/.treedata.wcd</code>, dans cet ordre, lira le premier fichier existant et lisible. Sur DOS/Windows le r&eacute;pertoire racine pour les r&eacute;pertoires utilisateur est suppos&eacute; &ecirc;tre <code>\\users</code>, donc wcd tentera de lire<code>\\users\UTILISATEUR\treedata.wcd</code> et <code>\\users\UTILISATEUR\.wcd\treedata.wcd</code>.</p>

</dd>
<dt id="u-UTILISATEUR1"><b>+u UTILISATEUR</b></dt>
<dd>

<p>Lire le fichier d&#39;arborescence par d&eacute;faut de l&#39;UTILISATEUR en plus de votre fichier d&#39;arborescence.</p>

</dd>
<dt id="v---verbose"><b>-v, --verbose</b></dt>
<dd>

<p>Afficher les messages verbeux. Avec cette option wcd affiche tous les filtres, les bannissements et les exclusions.</p>

</dd>
<dt id="V---version"><b>-V, --version</b></dt>
<dd>

<p>Afficher les informations de version et sortir.</p>

</dd>
<dt id="w---wild-match-only"><b>-w, --wild-match-only</b></dt>
<dd>

<p>Correspondance g&eacute;n&eacute;rique seulement. Traiter toutes les correspondances comme des correspondances g&eacute;n&eacute;riques.</p>

</dd>
<dt id="x-CHEMIN"><b>-x CHEMIN</b></dt>
<dd>

<p>Exclure <i>CHEMIN</i> de l&#39;examen.</p>

<p>Lorsque cette option est utilis&eacute;e, wcd exclu le <i>CHEMIN</i> et tous ses sous-r&eacute;pertoires lors de l&#39;examen d&#39;un disque. Les caract&egrave;res g&eacute;n&eacute;riques sont pris en charge et mis en correspondance avec les chemins absolus. L&#39;option <b>-x</b> peut &ecirc;tre utilis&eacute;e plusieurs fois.</p>

<pre><code>    wcd -x &lt;chemin1&gt; -x &lt;chemin2&gt; -s</code></pre>

<p>L&#39;option <b>-x</b> doit &ecirc;tre utilis&eacute;e avant toute option d&#39;examen (<b>-s</b>, <b>-S</b>, <b>+S</b>, <b>-A</b>, <b>-E</b>).</p>

<p>Sur les syst&egrave;mes DOS/Windows la pr&eacute;cision de la lettre de lecteur d&eacute;pend de l&#39;utilisation ou non des variables d&#39;environnement <i>HOME</i> ou <i>WCDHOME</i>. Si <i>HOME</i> ou <i>WCDHOME</i> sont fix&eacute;es alors il faut pr&eacute;ciser la lettre du lecteur. Par <span style="white-space: nowrap;">exemple :</span></p>

<pre><code>    wcd -x c:/temp -S c:</code></pre>

<p>Sinon, il n&#39;est pas n&eacute;cessaire de pr&eacute;ciser la lettre de lecteur.</p>

<pre><code>    wcd -x /temp -s</code></pre>

</dd>
<dt id="xf-FICHIER"><b>-xf FICHIER</b></dt>
<dd>

<p>Exclure de l&#39;examen tous les chemins list&eacute;s dans <i>FICHIER</i>.</p>

<p>Lorsque cette option est utilis&eacute;e, wcd excluera tous les chemins list&eacute;s dans <i>FICHIER</i> et tous leurs sous-r&eacute;pertoires durant l&#39;examen d&#39;un disque. Les caract&egrave;res g&eacute;n&eacute;riques sont pris en charge et ils sont mis en correspondance de chemins <span style="white-space: nowrap;">absolus ;</span> un chemin par ligne. Il faut &ecirc;tre attentif au fait que wcd n&#39;ignore pas les espaces commen&ccedil;ant et terminant une ligne parce qu&#39;il s&#39;agit de caract&egrave;res l&eacute;gaux pour un nom de r&eacute;pertoire. L&#39;option <b>-xf</b> peut &ecirc;tre utilis&eacute;e plusieurs fois. Lorsque l&#39;exclusion de tous les chemins bannis est souhait&eacute;e, il est possible de faire de la sorte (exemple pour wcd sur <span style="white-space: nowrap;">unix) :</span></p>

<pre><code>    wcd -xf ~/.ban.wcd -s</code></pre>

<p>Les caract&egrave;res g&eacute;n&eacute;riques sont pris en charge. Par exemple, pour exclure tous les r&eacute;pertoires Subversion contenant des fichiers d&#39;administration, ajoutez une ligne avec <code>*/.svn</code>.</p>

<p>L&#39;option <b>-xf</b> doit &ecirc;tre utilis&eacute;e avant toute option d&#39;examen (<b>-s</b>, <b>-S</b>, <b>+S</b>, <b>-A</b>, <b>-E</b>).</p>

</dd>
<dt id="y---assume-yes"><b>-y, --assume-yes</b></dt>
<dd>

<p>Supposer Oui pour toutes les requ&ecirc;tes.</p>

<p>Wcd ne posera pas de questions oui/non &agrave; l&#39;utilisateur, mais suppose qu&#39;il r&eacute;pondra oui &agrave; toutes les questions. Cela peut &ecirc;tre utilis&eacute; en combinaison de l&#39;option <b>-rmtree</b>. Cette option doit &ecirc;tre utilis&eacute;e avant les options qui peuvent d&eacute;boucher &agrave; des questions oui/non.</p>

</dd>
<dt id="z-NOMBRE"><b>-z NOMBRE</b></dt>
<dd>

<p>Fixer la taille maximale de la pile &agrave; NOMBRE.</p>

<p>La taille par d&eacute;faut de la pile est de 10. Les op&eacute;rations sur la pile peuvent &ecirc;tre d&eacute;sactiv&eacute;es en param&egrave;trant la taille &agrave; 0. Cette option doit &ecirc;tre utilis&eacute;e avant toute autre option d&#39;op&eacute;ration sur la pile (<b>-</b>,<b>+</b>,<b>=</b>). Autrement, la taille de la pile sera remise &agrave; sa valeur par d&eacute;faut, 10.</p>

<p>Une commande correcte <span style="white-space: nowrap;">est :</span></p>

<pre><code>    wcd -z 50 -</code></pre>

<p>La nouvelle taille de pile sera de 50, wcd ira un r&eacute;pertoire en arri&egrave;re. Un commande erron&eacute;e <span style="white-space: nowrap;">est :</span></p>

<pre><code>    wcd - -z 50</code></pre>

<p>Wcd va en arri&egrave;re d&#39;un r&eacute;pertoire, la pile &agrave; une valeur par d&eacute;faut de 10. Le <b>-z 50</b> est ignor&eacute;.</p>

<p>Ajouter cette option en premi&egrave;re option de votre alias ou fonction wcd. Un exemple pour l&#39;interface d&#39;administration compatible POSIX <span style="white-space: nowrap;">serait :</span></p>

<pre><code>    wcd ()
    {
        wcd.exe -z 50 &quot;$@&quot;
        . ${WCDHOME:-${HOME}}/bin/wcd.go
    }</code></pre>

</dd>
<dt id="NOMBRE"><b>-[NOMBRE]</b></dt>
<dd>

<p>Empiler les r&eacute;pertoires NOMBRE de fois. La valeur par d&eacute;faut &eacute;tant de un.</p>

<p>Retourner en arri&egrave;re d&#39;un r&eacute;pertoire. La commande &lt;wcd -&gt; retourne en arri&egrave;re d&#39;un r&eacute;pertoire. Y ajouter un nombre pour retourner en arri&egrave;re de plusieurs r&eacute;pertoires. <span style="white-space: nowrap;">Exemple :</span> <code>wcd -3</code>. La pile est cyclique.</p>

</dd>
<dt id="NOMBRE1"><b>+[NOMBRE]</b></dt>
<dd>

<p>D&eacute;piler les r&eacute;pertoires NOMBRE fois. Un par d&eacute;faut.</p>

<p>Avancer d&#39;un r&eacute;pertoire. La commande <code>wcd +</code> avance d&#39;un r&eacute;pertoire. Y ajouter un nombre pour avancer de plusieurs r&eacute;pertoires. Par <span style="white-space: nowrap;">exemple :</span> <code>wcd +2</code>. La pile est cyclique.</p>

</dd>
<dt id="pod"><b>=</b></dt>
<dd>

<p>Afficher la pile.</p>

<p>Utiliser cette option si vous ne savez plus de combien de fois empiler ou d&eacute;piler. La pile est affich&eacute;e et il est possible de choisir un nombre. La position courante de la pile est d&eacute;sign&eacute;e par une ast&eacute;risque <code>*</code>.</p>

</dd>
</dl>

<h1 id="INSTALLATION">INSTALLATION</h1>

<p>Le r&eacute;pertoire de travail courant d&#39;une interface syst&egrave;me Unix ne peut &ecirc;tre chang&eacute; que par la commande int&eacute;gr&eacute;e cd(1). Le programme est donc toujours appel&eacute; par une fonction ou un alias. La fonction ou l&#39;alias incluent un script d&#39;interface syst&egrave;me (script <span style="white-space: nowrap;">&laquo; go &raquo;)</span> qui est g&eacute;n&eacute;r&eacute; par le programme wcd. Wcd ne peut fonctionner qu&#39;apr&egrave;s que la fonction ou l&#39;alias aient &eacute;t&eacute; d&eacute;finis.</p>

<p>Un autre impact important de votre installation est la d&eacute;finition des variables d&#39;environnement <i>HOME</i> and <i>WCDHOME</i>. Voir la section VARIABLES D&#39;ENVIRONNEMENT.</p>

<h2 id="Installation-pour-les-interfaces-systme-de-type-POSIX">Installation pour les interfaces syst&egrave;me de type POSIX</h2>

<p>Pour les interfaces syst&egrave;me POSIX (ksh, bash, zsh, etc.) sur Unix, Linux, Cygwin ou MSYS natif, ajouter la fonction suivante au fichier de d&eacute;marrage de l&#39;interface syst&egrave;me (Bash utilise par exemple <span style="white-space: nowrap;"><code>$HOME/.bashrc</code>) :</span></p>

<pre><code>    wcd ()
    {
        CHEMIN/wcd.exe &quot;$@&quot;
        . ${WCDHOME:-${HOME}}/bin/wcd.go
    }</code></pre>

<p>Remplacer <i>CHEMIN</i> par l&#39;emplacement o&ugrave; l&#39;ex&eacute;cutable de wcd a &eacute;t&eacute; install&eacute;. Recharger le fichier d&#39;initialisation de l&#39;interface syst&egrave;me ou d&eacute;marrer une nouvelle interface syst&egrave;me.</p>

<p>L&#39;emplacement du script <span style="white-space: nowrap;">&laquo; go &raquo;</span> <code>wcd.go</code> diff&egrave;re par interface syst&egrave;me.</p>

<p>Wcd pour les interfaces syst&egrave;me DOS DJGPP et OS/2 exige une fonction diff&eacute;rente. Le script <span style="white-space: nowrap;">&laquo; go &raquo;</span> n&#39;est pas &eacute;crit dans un r&eacute;pertoire <code>bin</code>, et si <i>WCDHOME</i> et <i>HOME</i> sont toutes deux non d&eacute;finies, le script <span style="white-space: nowrap;">&laquo; go &raquo;</span> est &eacute;crit sur c:/.</p>

<p>bash <span style="white-space: nowrap;">DOS :</span></p>

<pre><code>    wcd ()
    {
        CHEMIN/wcdbash.exe &quot;$@&quot;
        . ${WCDHOME:-${HOME:-&quot;c:&quot;}}/wcd.go
    }</code></pre>

<p>bash <span style="white-space: nowrap;">OS/2 :</span></p>

<pre><code>    wcd ()
    {
        CHEMIN/wcdos2bash.exe &quot;$@&quot;
        . ${WCDHOME:-${HOME:-&quot;c:&quot;}}/wcd.go
    }</code></pre>

<p>La version WinZsh de wcd exige une fonction l&eacute;g&egrave;rement diff&eacute;rente. Le script <span style="white-space: nowrap;">&laquo; go &raquo;</span> ne sera jamais &eacute;crit dans c:/.</p>

<pre><code>    wcd ()
    {
        CHEMIN/wcdwin32zsh.exe &quot;$@&quot;
        . ${WCDHOME:-${HOME}}/wcd.go
    }</code></pre>

<p>Voir la section FICHIERS pour plus d&#39;informations.</p>

<h2 id="Installation-pour-les-interfaces-systme-de-type-C-csh-tcsh">Installation pour les interfaces syst&egrave;me de type C (csh, tcsh)</h2>

<p>Ajouter les alias suivants au fichier de d&eacute;marrage de l&#39;interface syst&egrave;me <code>$HOME/.cshrc</code> ou <span style="white-space: nowrap;"><code>$HOME/.tcshrc</code> :</span></p>

<pre><code>    if ( ${?WCDHOME} ) then
        alias wcd &quot;PATH/wcd.exe \!* ; source $WCDHOME/bin/wcd.go&quot;
    else
        alias wcd &quot;CHEMIN/wcd.exe \!* ; source $HOME/bin/wcd.go&quot;
    endif</code></pre>

<p>Remplacer <i>CHEMIN</i> par l&#39;emplacement o&ugrave; l&#39;ex&eacute;cutable de wcd a &eacute;t&eacute; install&eacute;. Recharger le fichier d&#39;initialisation de l&#39;interface syst&egrave;me ou d&eacute;marrer une nouvelle interface syst&egrave;me.</p>

<h2 id="Version-de-lInvite-de-Commande-Windows">Version de l&#39;Invite de Commande Windows</h2>

<p>D&eacute;paqueter le fichier zip et ajouter le r&eacute;pertoire <code>bin</code> &agrave; votre variable d&#39;environnement <i>PATH</i>.</p>

<p>Dans Windows Command Prompt, un programme Windows ne peut pas changer de r&eacute;pertoire de travail courant, mais un fichier .bat le peut. Le script de commande <code>wcd.bat</code> ex&eacute;cute le programme wcd qui g&eacute;n&egrave;re un nouveau fichier de commande <code>wcdgo.bat</code>. <code>wcd.bat</code> et ex&eacute;cute ensuite <code>wcdgo.bat</code> qui change effectivement de r&eacute;pertoire.</p>

<h2 id="Windows-VISTA-et-ultrieur">Windows VISTA et ult&eacute;rieur</h2>

<p>Dans un Commande Prompt Windows Vista ou de niveau plus haut, l&#39;acc&egrave;s aux r&eacute;pertoires peut &ecirc;tre limit&eacute;. Pour avoir acc&egrave;s &agrave; plus de r&eacute;pertoires des droits administrateurs sont requis. Il est possible d&#39;obtenir un Commande Prompt avec des droits administrateurs en cliquant avec le bouton droit sur l&#39;ic&ocirc;ne du Commande Prompt puis en choisissant <i>Ex&eacute;cuter en tant qu&#39;administrateur</i>.</p>

<h2 id="Version-Windows-PowerShell">Version Windows PowerShell</h2>

<p>Ajouter la fonction suivante &agrave; votre profil utilisateur PowerShell. L&#39;emplacement de ce profil est stock&eacute; dans la variable $profile. Il est requis que l&#39;une des deux variables d&#39;environnement <i>HOME</i> et <i>WCDHOME</i> soit d&eacute;finie.</p>

<pre><code>    function wcd
    {
        CHEMIN\wcdwin32psh.exe $args
        &amp; $env:HOME\wcdgo.ps1
    }</code></pre>

<p>Remplacer <i>CHEMIN</i> avec l&#39;emplacement o&ugrave; l&#39;ex&eacute;cutable de wcd a &eacute;t&eacute; install&eacute;. D&eacute;marrer un nouveau PowerShell. Wcd pour PowerShell prend uniquement en charge le fournisseur de syst&egrave;me de fichier. Pas d&#39;autres fournisseurs.</p>

<h2 id="Version-OS-2-Command-Prompt">Version OS/2 Command Prompt</h2>

<p>Dans un OS/2 Command Prompt (cmd.exe) un programme OS/2 ne peut pas changer de r&eacute;pertoire de travail courant. C&#39;est pourquoi wcd g&eacute;n&egrave;re un script de commande <code>wcdgo.cmd</code> qui doit &ecirc;tre ex&eacute;cut&eacute; dans l&#39;interface syst&egrave;me actuelle. Le script <code>wcd.cmd</code> ex&eacute;cute dans un premier temps <code>wcdos2.exe</code> qui cr&eacute;e le script <code>wcdgo.cmd</code>. Ensuite <code>wcd.cmd</code> ex&eacute;cute le script <code>wcdgo.cmd</code>.</p>

<h1 id="LOCALISATION">LOCALISATION</h1>

<dl>

<dt id="LANG"><b>LANG</b></dt>
<dd>

<p>Le langage principal est s&eacute;lectionn&eacute; avec la variable d&#39;environnement <i>LANG</i>. Cette variable est compos&eacute;e de plusieurs parties. La premi&egrave;re partie, en lettres minuscules, est le code de la langue. La seconde, optionnelle et en lettres majuscules, est le code du pays pr&eacute;c&eacute;d&eacute; d&#39;un tiret bas. Il y a &eacute;galement une troisi&egrave;me partie <span style="white-space: nowrap;">optionnelle :</span> l&#39;encodage des caract&egrave;res, pr&eacute;c&eacute;d&eacute; par un point. Quelques exemples pour les interfaces syst&egrave;me conforme au standard <span style="white-space: nowrap;">POSIX :</span></p>

<pre><code>    export LANG=fr               Fran&ccedil;ais
    export LANG=fr_FR            Fran&ccedil;ais, France
    export LANG=fr_BE            Fran&ccedil;ais, Belgique
    export LANG=es_ES            Espagnol, Espagne
    export LANG=es_MX            Espagnol, Mexique
    export LANG=en_US.iso88591   Anglais, USA, encodage Latin-1</code></pre>

<p>Pour une liste compl&egrave;te des codes de langue et de pays voir le manuel de <span style="white-space: nowrap;">gettext(1) :</span> <a href="http://www.gnu.org/software/gettext/manual/gettext.html#Language-Codes">http://www.gnu.org/software/gettext/manual/gettext.html#Language-Codes</a> Sur les syst&egrave;mes Unix, la commande locale(1) peut &ecirc;tre utilis&eacute;e pour voir les informations pr&eacute;cises de localisation.</p>

</dd>
<dt id="LANGAGE"><b>LANGAGE</b></dt>
<dd>

<p>Avec la variable d&#39;environnement <i>LANG</i>, il est possible de sp&eacute;cifier une liste de priorit&eacute; de langues s&eacute;par&eacute;es par des virgules. Wcd donne une pr&eacute;f&eacute;rence &agrave; <i>LANGUAGE</i> sur <i>LANG</i>. Par exemple, d&#39;abord n&eacute;erlandais puis <span style="white-space: nowrap;">allemand :</span> <code>LANGUAGE=nl:de</code>. Il faut d&#39;abord activer la localisation en fixant <i>LANG</i> ou <i>LC_ALL</i> &agrave; une valeur autre que <i>C</i> avant de pouvoir utiliser un liste de priorit&eacute;s de langue avec la variable <i>LANGUAGE</i>. Voir aussi le manuel de <span style="white-space: nowrap;">gettext(1) :</span> <a href="http://www.gnu.org/software/gettext/manual/gettext.html#The-LANGUAGE-variable">http://www.gnu.org/software/gettext/manual/gettext.html#The-LANGUAGE-variable</a></p>

<p>Si vous s&eacute;lectionnez un langage qui n&#39;est pas disponible, les messages seront affich&eacute;s en anglais standard.</p>

</dd>
<dt id="WCDLOCALEDIR"><b>WCDLOCALEDIR</b></dt>
<dd>

<p>La variable d&#39;environnement <i>WCDLOCALEDIR</i> pr&eacute;vaut sur la variable <i>LOCALEDIR</i> utilis&eacute;e pendant la compilation et l&#39;installation de wcd. <i>LOCALEDIR</i> est utilis&eacute;e par wcd avec prise en chage de langage natif pour trouver les fichiers de langue. La valeur par d&eacute;faut pour GNU est <code>/usr/local/share/locale</code>. En tapant <code>wcd -V</code>, wcd affichera la variable <i>LOCALEDIR</i> utilis&eacute;e.</p>

<p>Si vous avez install&eacute; wcd dans un r&eacute;pertoire diff&eacute;rent du r&eacute;pertoire par d&eacute;faut, il vous faut peut &ecirc;tre d&eacute;finir la variable d&#39;environnement <i>WCDLOCALEDIR</i> pour pointer vers le r&eacute;pertoire de locales.</p>

<p>Un exemple pour le cmd <span style="white-space: nowrap;">Windows :</span></p>

<pre><code>    set WCDLOCALEDIR=c:/my_prefix/share/locale</code></pre>

<p>Un example pour une interface syst&egrave;me <span style="white-space: nowrap;">POSIX :</span></p>

<pre><code>    export WCDLOCALEDIR=$HOME/share/locale</code></pre>

</dd>
<dt id="LC_COLLATE"><b>LC_COLLATE</b></dt>
<dd>

<p>Lorsque plusieurs r&eacute;pertoires correspondent, wcd affiche une liste tri&eacute;e. L&#39;ordre d&eacute;pend des param&egrave;tres de locale. Si la variable d&#39;environnement <i>LANG</i> a &eacute;t&eacute; d&eacute;finie, les correspondances sont tri&eacute;es comme les sont les dictionnaires ou les annuaires t&eacute;l&eacute;phonique dans cette langue. Par exemple, les points et les tirets sont ignor&eacute;s, ou bien les lettres e avec ou sans accent sont identiques, ou bien la casse est ignor&eacute;e.</p>

<p>Le tri donne pr&eacute;f&eacute;rence &agrave; la variable d&#39;environnement <i>LC_COLLATE</i> devant <i>LANG</i>. Si vous rendez <i>LC_COLLATE</i> &eacute;gal &agrave; <code>C</code> ou <code>POSIX</code>, le tri selon la locale est d&eacute;sactiv&eacute;. Par exemple, si vous voulez du n&eacute;erlandais mais un tri que n&#39;est pas n&eacute;erlandais, vous pouvez faire de la <span style="white-space: nowrap;">sorte :</span></p>

<pre><code>    export LANG=fr_FR
    export LC_COLLATE=C</code></pre>

</dd>
<dt id="LC_CTYPE"><b>LC_CTYPE</b></dt>
<dd>

<p>En ce qui concerne l&#39;encodage de caract&egrave;res, wcd donnera une pr&eacute;f&eacute;rence &agrave; la variable <i>LC_CTYPE</i> sur la variable <i>LANG</i>. Par exemple, pour fixer l&#39;encodage de caract&egrave;res en UTF-8, le param&egrave;trage de l&#39;environnement suivant peut &ecirc;tre appliqu&eacute;.</p>

<pre><code>    export LC_CTYPE=fr_FR.UTF-8</code></pre>

</dd>
<dt id="LC_ALL"><b>LC_ALL</b></dt>
<dd>

<p>La variable d&#39;environnement <i>LC_ALL</i> si elle est d&eacute;finie, pr&eacute;vaut sur toutes les variables d&#39;environnement de locales qui commencent par <i>LC_</i>. Wcd donnera une pr&eacute;f&eacute;rence &agrave; <i>LC_ALL</i> sur <i>LC_COLLATE</i> et <i>LC_CTYPE</i>.</p>

</dd>
</dl>

<h2 id="PAGES-DE-CODES-WINDOWS">PAGES DE CODES WINDOWS</h2>

<p>Il y a deux groupes de page de <span style="white-space: nowrap;">code :</span> les pages de code DOS (OEM) et les pages de code Windows (ANSI). L&#39;encodage par d&eacute;faut de Windows, lorsqu&#39;il est configur&eacute; avec les param&egrave;tres de r&eacute;gions occidentales, est ANSI CP1252. Les programmes Windows, par exemple le bloc-notes, utilisent cette page de code ANSI par d&eacute;faut. La console Windows utilise par d&eacute;faut une page de code OEM (CP437 ou CP850) pour compatibilit&eacute; avec les programmes DOS. Si vous utilisez une version DOS de wcd dans une console Windows, cela marchera gr&acirc;ce &agrave; la page de code DOS. Cependant la version DOS de wcd ne prend pas en charge de longs noms de r&eacute;pertoire et de lecteur r&eacute;seau sur Windows.</p>

<p>La version Windows de wcd est un programme Windows natif et utilise la page de code ANSI du syst&egrave;me Windows. Donc sur un Windows configur&eacute; pour une r&eacute;gion occidentale la page de code CP1252 est utilis&eacute;e pour les noms de r&eacute;pertoire et les messages. Dans le but d&#39;obtenir des sorties uniformes, ind&eacute;pendantes des pages de code actives, toutes les versions de Wcd pour Windows traduisent les sorties ANSI en sorties Unicode dans le Command Prompt et le PowerShell.</p>

<p>La police de trame de la console ne prend en charge que la page de code OEM install&eacute;e avec Windows, et il faut donc changer la page de code de la console &agrave; Lucidia Console correctement typ&eacute; pour faire appara&icirc;tre les lettres Unicode (et ANSI) correctement.</p>

<p>Les versions non-Unicode de Wcd <i>avant la version 5.2.0</i> utilisent une sortie enti&egrave;rement ANSI. Pour ces anciennes versions, la page de code de la console a &eacute;t&eacute; faite pour &ecirc;tre identique &agrave; la page de code du syst&egrave;me (chang&eacute; &agrave; 1252) dans le but de faire fonctionner wcd pour Windows correctement avec des caract&egrave;res sp&eacute;ciaux tels que les caract&egrave;res avec accent ou le symbole de l&#39;Euro.</p>

<p>La page de code Windows peut &ecirc;tre chang&eacute;e via les options de r&eacute;gion du Panneau de Contr&ocirc;le. La page de code de la console Windows est chang&eacute;e avec la commande <code>chcp</code>.</p>

<p>Lorsque vous tapez <code>wcd -V</code>, l&#39;encodage de caract&egrave;res effectif utilis&eacute; par wcd est affich&eacute;. Tapez la commande <code>chcp</code> pour afficher la page de codes active de la console Windows.</p>

<h2 id="UNICODE">UNICODE</h2>

<p>Wcd a une prise en charge optionnelle de l&#39;Unicode. Pour voir si wcd a &eacute;t&eacute; empaquet&eacute; avec la prise en charge de l&#39;Unicode, tapez <code>wcd -V</code>. Si votre terminal/console et la police le prend en charge, vous devriez voir le symbole de l&#39;Euro ainsi que des caract&egrave;res chinois (voulant <span style="white-space: nowrap;">dire :</span> <span style="white-space: nowrap;">&laquo; chinois &raquo;).</span></p>

<p>Wcd a &eacute;t&eacute; converti de fa&ccedil;on <i>logicielle</i> &agrave; l&#39;Unicode. En son coeur, Wcd traite toutes les donn&eacute;es comme un flux d&#39;octets. Seules les lignes affich&eacute;es &agrave; l&#39;&eacute;cran sont converties &agrave; la vol&eacute;e en caract&egrave;res Unicode larges. Wcd s&#39;appuie enti&egrave;rement sur des fonctions de la libc et n&#39;a pas de code UTF-8 sp&eacute;cifique. Voir aussi <a href="http://www.cl.cam.ac.uk/~mgk25/unicode.html">http://www.cl.cam.ac.uk/~mgk25/unicode.html</a>.</p>

<p>Wcd a une prise en charge optionnelle de mise en correspondance avec de l&#39;Unicode normalis&eacute;. Pour d&eacute;terminer si Wcd prend en charge la normalisation, tapez <code>wcd -V</code>. Wcd avec une prise en charge de la normalisation Unicode fera correspondre les noms Unicode en se basant sur une &eacute;quivalence <i>compatible</i>. Sans prise en charge de la normalisation Unicode, les noms sont mis en correspondance lorsque leur binaires sont &eacute;quivalents. Voir aussi <a href="http://en.wikipedia.org/wiki/Unicode_normalization">http://en.wikipedia.org/wiki/Unicode_normalization</a></p>

<h3 id="UTF-8-sur-Unix-Linux">UTF-8 sur Unix/Linux</h3>

<p>Pour voir les caract&egrave;res UTF-8, votre console/terminal doit &eacute;galement prendre en charge l&#39;UTF-8. La version xterm empaquet&eacute;e avec XFree86 4.0 ou sup&eacute;rieur inclue une prise en charge de l&#39;UTF-8. Pour l&#39;activer, d&eacute;marez xterm(1) dans une locale UTF-8 et utilisez une police avec un encodage iso10646-1, par exemple avec</p>

<pre><code>    LC_CTYPE=en_GB.UTF-8 xterm -u8 -fn &#39;-Misc-Fixed-Medium-R-SemiCondensed--13-120-75-75-C-60-ISO10646-1&#39;</code></pre>

<p>Les distributions modernes de GNU/Linux prennent en charge l&#39;UTF-8 par d&eacute;faut. D&#39;autres encodages de caract&egrave;res sur plusieurs octets devraient &eacute;galement fonctionner, mais cela n&#39;a pas &eacute;t&eacute; test&eacute;.</p>

<p>Wcd suppose que les fichiers d&#39;arborescence sont encod&eacute;s dans l&#39;encodage de caract&egrave;res local. Il n&#39;y a pas d&#39;Indicateur d&#39;Ordre des Octets &eacute;crit dans les fichiers d&#39;arborescence.</p>

<h3 id="UTF-16-sur-Windows">UTF-16 sur Windows</h3>

<p>Sur Windows, l&#39;Unicode est pris en charge pour toutes les versions de PowerShell, et dans le Windows Command Prompt sur Windows 7 (ou ult&eacute;rieur). Unicode fonctionne &eacute;galement dans Take Command ou TCC/LE &eacute;dit&eacute;s par JP Software, et pouvant &ecirc;tre utilis&eacute;s sur des version de Windows plus anciennes (XP/Vista).</p>

<p>Sur Windows, tous les noms de r&eacute;pertoire sur le disque sont encod&eacute;s en Unicode UTF-16. Pour des programmes Windows non Unicode, les caract&egrave;res Unicode sont traduits vers la page de code ANSI par d&eacute;faut. Cette traduction de caract&egrave;res ne faisant pas partis du param&egrave;trage r&eacute;gional n&#39;est pas possible et les programmes non Unicode affichent un point d&#39;int&eacute;rogation ou bien un mauvais caract&egrave;res.</p>

<p>Wcd avec prise en charge de l&#39;Unicode lit les noms de r&eacute;pertoire encod&eacute; en UTF-16 et les convertis de fa&ccedil;on interne en UTF-8. Tous les fichiers d&#39;arborescence sont encod&eacute;s en UTF-8 et ne sont pas compatibles avec la version non Unicode de Wcd. Wcd cr&eacute;era un script <span style="white-space: nowrap;">&laquo; go &raquo;</span> en UTF-8.</p>

<p>Toutes les versions de Windows PowerShell sont capable d&#39;ex&eacute;cuter des scripts encod&eacute;s en UTF-8 s&#39;il y a un BOM UTF-8 dans le script.</p>

<p>Depuis Windows 7 il est possible de changer de r&eacute;pertoire avec un script batch dans Windows Command Prompt vers un r&eacute;pertoire avec une lettre Unicode dans le nom. Le nom du r&eacute;pertoire doit &ecirc;tre encod&eacute; en UTF-8, et le script batch ne doit <i>pas</i> avoir de BOM. La page de code active du Command Prompt doit &ecirc;tre fix&eacute;e &agrave; 65001 (UTF-8) avant la commande cd. Wcd pour Command Prompt cr&eacute;era un script <span style="white-space: nowrap;">&laquo; go &raquo;</span> <code>wcdgo.bat</code>. Dans un premier temps, il change la page de code &agrave; 65001 puis change de r&eacute;pertoire et enfin fixe la page de code &agrave; sa valeur initiale.</p>

<p>Vous devez fixer la police &agrave; True Type Lucida Console (et non une police de trame) lorsque les lettres n&#39;appara&icirc;ssent pas correctement.</p>

<p>La version pour Windows non Unicode de Wcd peut lire des fichiers d&#39;arborescence Unicode depuis la version 5.2.0 s&#39;il y a un Indicateur d&#39;Ordre des Octets (BOM) dans le fichier (voir <a href="https://fr.wikipedia.org/wiki/Indicateur_d%27ordre_des_octets">https://fr.wikipedia.org/wiki/Indicateur_d%27ordre_des_octets</a>), mais il ne peut se d&eacute;placer vers des r&eacute;pertoires dont le nom contient des lettres Unicodes et qui ne font pas parties de la page de code ANSI par d&eacute;faut du syst&egrave;me. La version pour Windows non Unicode &eacute;crit un BOM dans les fichiers d&#39;arborescence encod&eacute;s en UTF-8 depuis la version 5.2.0, ce qui les rend &eacute;galement lisible par le bloc-notes.</p>

<h3 id="UTF-8-sur-Cygwin">UTF-8 sur Cygwin</h3>

<p>Cygwin prend en charge l&#39;Unicode depuis la version 1.7. La couche Cygwin s&#39;occupe de la conversion des noms Unicode UTF-16 Windows en UTF-8. Donc des programmes tels que Wcd n&#39;ont pas besoin de savoir cela et peuvent fonctionner en utilisant l&#39;encodage UTF-8 sur Unix/Linux. Fixez l&#39;encodage de caract&egrave;res &agrave; UTF-8 avec les variables d&#39;environnement <i>LANG</i> ou <i>LC_CTYPE</i>. Il peut &ecirc;tre n&eacute;cessaire de r&eacute;examiner les disques. Il faut fixer la police &agrave; True Type Lucida Console (et non &agrave; une police de trame) si vous utilisez la console Cygwin par d&eacute;faut.</p>

<p>La version Cygwin se comporte de la m&ecirc;me fa&ccedil;on que la version Unix de wcd. Il n&#39;y a pas de BOM &eacute;crit dans les fichiers d&#39;arborescence, et il est suppos&eacute; qu&#39;ils sont encod&eacute;s dans l&#39;encodage de caract&egrave;res de la locale <b>Cygwin</b>.</p>

<h1 id="FICHIERS">FICHIERS</h1>

<p>Si la variable d&#39;environnement <i>WCDHOME</i> est d&eacute;finie, wcd utilisera <i>WCDHOME</i> au lieu de <i>HOME</i>. Tous les fichiers <code>*.wcd</code> sont des fichiers texte. Ils peuvent &ecirc;tre modifi&eacute;s avec un &eacute;diteur de texte. La version Windows Command Prompt de wcd se comporte comme la version DOS. La version Cygwin de wcd se comporte comme la version Unix.</p>

<dl>

<dt id="wcd.exe"><b>wcd.exe</b></dt>
<dd>

<p>Le programme. Dans les interfaces syst&egrave;me Unix, le programme est toujours appel&eacute; par une fonction ou un alias parce que le r&eacute;pertoire courant de travail d&#39;une interface syst&egrave;me Unix ne peut &ecirc;tre chang&eacute; que par la commande cd int&eacute;gr&eacute;e. Voir &eacute;galement la section INSTALLATION.</p>

</dd>
<dt id="fichier-darborescence-par-dfaut"><b>fichier d&#39;arborescence par d&eacute;faut</b></dt>
<dd>

<p>C&#39;est le fichier d&#39;arborescence par d&eacute;faut o&ugrave; wcd cherche les correspondances. S&#39;il n&#39;est pas lisible, wcd en cr&eacute;era un nouveau.</p>

<pre><code>    S&lt;DOS :&gt; \treedata.wcd ou %HOME%\treedata.wcd
    S&lt;Unix :&gt; $HOME/.treedata.wcd</code></pre>

</dd>
<dt id="fichier-darborescence-supplmentaire"><b>fichier d&#39;arborescence suppl&eacute;mentaire</b></dt>
<dd>

<p>Un fichier d&#39;arborescence suppl&eacute;mentaire optionel. S&#39;il existe et est lisible, wcd tentera de trouver des correspondances depuis ce fichier &eacute;galement.</p>

<pre><code>    S&lt;DOS :&gt; \extra.wcd ou %HOME%\extra.wcd
    S&lt;Unix :&gt; $HOME/.extra.wcd</code></pre>

</dd>
<dt id="fichier-de-bannissement"><b>fichier de bannissement</b></dt>
<dd>

<p>Wcd place dans ce fichier optionnel les chemins bannis. Voir l&#39;option <b>-b</b>. Les caract&egrave;res g&eacute;n&eacute;riques sont pris en charge.</p>

<pre><code>    S&lt;DOS :&gt; \ban.wcd ou %HOME%\ban.wcd
    S&lt;Unix :&gt; $HOME/.ban.wcd</code></pre>

</dd>
<dt id="fichier-dalias"><b>fichier d&#39;alias</b></dt>
<dd>

<p>Fichier optionnel avec les alias wcd. Voir l&#39;option <b>-l</b>.</p>

<pre><code>    S&lt;DOS :&gt; \alias.wcd ou %HOME%\alias.wcd
    S&lt;Unix :&gt; $HOME/.alias.wcd</code></pre>

</dd>
<dt id="fichier-de-pile"><b>fichier de pile</b></dt>
<dd>

<p>Wcd stocke sa pile dans ce fichier. La lettre de lecteur peut &ecirc;tre chang&eacute;e avec l&#39;option <b>-d</b>.</p>

<pre><code>    S&lt;DOS :&gt; c:\stack.wcd ou %HOME%\stack.wcd
    S&lt;Unix :&gt; $HOME/.stack.wcd</code></pre>

<p>Le nom du fichier de pile peut &ecirc;tre chang&eacute; avec la variable d&#39;environnement <i>WCDSTACKFILE</i>. Voir la section VARIABLES D&#39;ENVIRONNEMENT.</p>

</dd>
<dt id="script-go"><b>script <span style="white-space: nowrap;">&laquo; go &raquo;</span></b></dt>
<dd>

<p>C&#39;est le script d&#39;interface syst&egrave;me que wcd.exe cr&eacute;e &agrave; chaque fois. Il est inclus par une function ou un alias. La lettre de lecteur peut &ecirc;tre chang&eacute;e avec l&#39;option <b>-d</b>. Pour des raisons historiques, il est plac&eacute; dans <code>$HOME/bin</code> par d&eacute;faut sur les syst&egrave;mes Unix. Le r&eacute;pertoire de ce fichier peut &ecirc;tre chang&eacute; avec l&#39;option <b>-G</b>.</p>

<pre><code>    interface syst&egrave;me S&lt;DOS :&gt; c:/wcd.go or $HOME/wcd.go
    Windows Command S&lt;Prompt :&gt; c:\wcdgo.bat or %HOME%\wcdgo.bat
    Windows S&lt;PowerShell :&gt; $env:HOME\wcdgo.ps1
    S&lt;WinZsh :&gt; $HOME/wcd.go
    S&lt;Cygwin/MSYS :&gt; $HOME/bin/wcd.go
    OS/2 Command S&lt;Prompt :&gt; c:\wcdgo.cmd or %HOME%\wcdgo.cmd
    interface syst&egrave;me S&lt;OS/2 :&gt; c:/wcd.go or $HOME/wcd.go
    S&lt;Unix :&gt; $HOME/bin/wcd.go</code></pre>

</dd>
<dt id="fichier-darborescence-relative"><b>fichier d&#39;arborescence relative</b></dt>
<dd>

<p>Fichier texte avec les chemins relatifs &agrave; <i>REP</i>. Voir les options <b>+S</b>, <b>-n</b> et <b>+n</b>.</p>

<pre><code>    S&lt;DOS :&gt; CHEMIN\rtdata.wcd
    S&lt;Unix :&gt; CHEMIN/.rtdata.wcd</code></pre>

</dd>
</dl>

<h1 id="VARIABLES-DENVIRONNEMENT">VARIABLES D&#39;ENVIRONNEMENT</h1>

<dl>

<dt id="HOME"><b>HOME</b></dt>
<dd>

<p>Wcd utilise par d&eacute;faut la variable d&#39;environnement <i>HOME</i> pour d&eacute;terminer o&ugrave; stocker ses fichiers. Voir &eacute;galement la section FICHIERS. Cela peut &ecirc;tre modifi&eacute; avec la variable d&#39;environnement <i>WCDHOME</i>.</p>

<p><i>HOME</i> d&eacute;finit &eacute;galement o&ugrave; commencer l&#39;examen du disque lorsque l&#39;option <b>-s</b> est utilis&eacute;e. Ceci peut &ecirc;tre modifi&eacute; avec la variable d&#39;environnement <i>WCDSCAN</i>.</p>

<p>Pour la version Unix, Cygwin, Windows PowerShell, WinZsh et MSYS, il est n&eacute;cessaire que <i>HOME</i> ou <i>WCDHOME</i> soient d&eacute;finies. L&#39;utilisation de ces variables est optionnelle pour les autres versions de wcd.</p>

<p>Si <i>HOME</i> est d&eacute;fini sur DOS/Windows, wcd placera tous ses fichiers (treedata.wcd, extra.wcd, alias.wcd, ban.wcd, wcd.go) dans le r&eacute;pertoire <i>HOME</i>. Le comportement de wcd est alors identique &agrave; celui de la version Unix de wcd. Wcd examinera le disque depuis <i>HOME</i> par d&eacute;faut. Les lecteurs ne seront pas automatiquement examin&eacute;s lors d&#39;un basculement. Vous devez explicitement le demander &agrave; wcd. Par <span style="white-space: nowrap;">exemple :</span></p>

<pre><code>    wcd -S c: -A d: -A e:</code></pre>

<p>La correspondance des r&eacute;pertoires est maintenant globale &agrave; tous les lecteurs examin&eacute;s.</p>

</dd>
<dt id="WCDHOME"><b>WCDHOME</b></dt>
<dd>

<p>La variable d&#39;environnement <i>WCDHOME</i> peut &ecirc;tre utilis&eacute;e pour changer l&#39;emplacement des fichiers de wcd. Si <i>HOME</i> et <i>WCDHOME</i> sont toutes deux d&eacute;finies, <i>WCDHOME</i> sera utilis&eacute;e &agrave; la place de <i>HOME</i>.</p>

<p>Dans les versions ant&eacute;rieures &agrave; la version 5.1.5, <i>WCDHOME</i> changeait &eacute;galement le r&eacute;pertoire d&#39;examen par d&eacute;faut. Cela a &eacute;t&eacute; modifi&eacute;. Depuis la version 5.1.5, <i>WCDHOME</i> ne modifie pas le r&eacute;pertoire d&#39;examen par d&eacute;faut. Voir l&#39;option <b>-s</b>. Depuis la version 5.1.5, la variable d&#39;environnement <i>WCDSCAN</i> peut &ecirc;tre utilis&eacute;e pour modifier le r&eacute;pertoire d&#39;examen par d&eacute;faut.</p>

<p>Exemple pour DOS, Windows, OS/2 Command <span style="white-space: nowrap;">Prompt :</span></p>

<pre><code>    set WCDHOME=C:\Utilisateurs\erwin\wcd</code></pre>

<p>Un exemple pour les interfaces syst&egrave;me <span style="white-space: nowrap;">POSIX :</span></p>

<pre><code>    export WCDHOME=&quot;$HOME/.wcd&quot;</code></pre>

<p>Un exemple pour les interfaces syst&egrave;me <span style="white-space: nowrap;">Csh :</span></p>

<pre><code>    setenv WCDHOME &quot;$HOME/.wcd&quot;</code></pre>

</dd>
<dt id="WCDSCAN"><b>WCDSCAN</b></dt>
<dd>

<p>Utilisez la variable d&#39;environnement <i>WCDSCAN</i> pour modifier le r&eacute;pertoire d&#39;examen par d&eacute;faut <i>HOME</i>. Une liste s&eacute;par&eacute;e par des virgules (Unix) peut &ecirc;tre utilis&eacute;e pour sp&eacute;cifier plusieurs r&eacute;pertoires. Sur DOS/Windows, la liste doit &ecirc;tre s&eacute;par&eacute;e par des point-virgules.</p>

<p>Exemples pour DOS, Windows, OS/2 Commande <span style="white-space: nowrap;">Prompt :</span></p>

<pre><code>    set WCDSCAN=C:\Utilisateurs\erwin;D:\donnees

    set WCDSCAN=%HOMELECTEUR%%HOMECHEMIN%;\\lecteurprojet\projetX</code></pre>

<p>Un exemple pour les interfaces syst&egrave;me <span style="white-space: nowrap;">POSIX :</span></p>

<pre><code>    export WCDSCAN=&quot;$HOME:/disqueprojet/projetX&quot;</code></pre>

<p>Un exemple pour les interfaces syst&egrave;me <span style="white-space: nowrap;">Csh :</span></p>

<pre><code>    setenv WCDSCAN &quot;$HOME:/disqueprojet/projetX&quot;</code></pre>

</dd>
<dt id="WCDFILTER"><b>WCDFILTER</b></dt>
<dd>

<p>Sp&eacute;cifiez des filtres avec la variable d&#39;environnment <i>WCDFILTER</i>. Tous les r&eacute;pertoires qui ne correspondent pas au(x) filtre(s) sont ignor&eacute;s. Une liste peut &ecirc;tre donn&eacute;es en s&eacute;parant les filtres avec le s&eacute;parateur de chemin de l&#39;interface syst&egrave;me, de fa&ccedil;on similaire &agrave; la d&eacute;finition de la variable <i>PATH</i>. La sensibilit&eacute; &agrave; la casse est dict&eacute;e par le syst&egrave;me d&#39;exploitation.</p>

<p>Un exemple pour DOS, Windows, OS/2 Commande <span style="white-space: nowrap;">Prompt :</span></p>

<pre><code>    set WCDFILTER=projets;doc</code></pre>

<p>Un exemple pour les interfaces syst&egrave;me <span style="white-space: nowrap;">POSIX :</span></p>

<pre><code>    export WCDFILTER=&quot;projets:doc&quot;</code></pre>

<p>Un exemple pour les interfaces syst&egrave;me <span style="white-space: nowrap;">Csh :</span></p>

<pre><code>    setenv WCDFILTER &quot;projets:doc&quot;</code></pre>

</dd>
<dt id="WCDBAN"><b>WCDBAN</b></dt>
<dd>

<p>Les chemins sp&eacute;cifi&eacute;s par la variable d&#39;environnement <i>WCDBAN</i> seront bannis par wcd. Voir aussi l&#39;option <b>-b</b>. Donnez une liste de chemins s&eacute;par&eacute;s par le s&eacute;parateur de l&#39;interface syst&egrave;me utilis&eacute; pour <i>PATH</i>.</p>

</dd>
<dt id="WCDEXCLUDE"><b>WCDEXCLUDE</b></dt>
<dd>

<p>Les chemins sp&eacute;cifi&eacute;s par la variables d&#39;environnement <i>WCDEXCLUDE</i> seront exlus par wcd. Voir aussi les options <b>-x</b> et <b>-xf</b>. Donnez une liste de chemins s&eacute;par&eacute;s par le s&eacute;parateur de l&#39;interface syst&egrave;me utilis&eacute; pour <i>PATH</i>.</p>

<p>Un exemple pour DOS, Windows, OS/2 Commande <span style="white-space: nowrap;">Prompt :</span></p>

<pre><code>    set WCDEXCLUDE=*/windows;*/temp;*CVS</code></pre>

<p>Un exemple pour les interfaces syst&egrave;me <span style="white-space: nowrap;">POSIX :</span></p>

<pre><code>    export WCDEXCLUDE=&quot;/dev:/tmp:*CVS&quot;</code></pre>

<p>Un exemple pour les interfaces syst&egrave;me <span style="white-space: nowrap;">Csh :</span></p>

<pre><code>    setenv WCDEXCLUDE &quot;/dev:/tmp:*CVS&quot;</code></pre>

</dd>
<dt id="WCDUSERSHOME"><b>WCDUSERSHOME</b></dt>
<dd>

<p>D&eacute;fini la racine des r&eacute;pertoires d&#39;utilisateur. Sur DOS/Windows, la valeur par d&eacute;faut est <code>\\users</code>. Sur Unix/Cygwin, la valeur par d&eacute;faut est <code>/home</code>. Cette variable est utilis&eacute;e pour examiner les fichiers d&#39;arborescence d&#39;autres utilisateurs. Voir les options <b>-u</b> et <b>+u</b>. En mode verbeux, wcd imprimera tous les filtres, bannissements et exclusions. Voir l&#39;option <b>-v</b>.</p>

</dd>
<dt id="WCDSTACKFILE"><b>WCDSTACKFILE</b></dt>
<dd>

<p>Wcd donne une pr&eacute;f&eacute;rence &agrave; <i>WCDSTACKFILE</i> sur le nom du fichier de pile par d&eacute;faut (voir la section FICHIERS). Avec cette variable, chaque interface syst&egrave;me (ou &eacute;mulateur de terminal) peut avoir sa pile priv&eacute;e de r&eacute;pertoires utilis&eacute;s.</p>

<p>Pour utiliser un fichier YYYYMMDD-HHMMSS unique bas&eacute; sur le temps pour chaque interface syst&egrave;me int&eacute;ractive ouverte.</p>

<pre><code>    export WCDSTACKFILE=$HOME/.wcd/stack.$(date +%Y%m%d-%H%M%S)</code></pre>

<p>Pour une pile par xterm(1), utiliser la variable d&#39;environnement xterm <span style="white-space: nowrap;"><i>WINDOWID</i> :</span></p>

<pre><code>    export WCDSTACKFILE=$HOME/.wcd/stack.$WINDOWID</code></pre>

<p>Pour GNU screen(1), pour utiliser une pile par <span style="white-space: nowrap;">&eacute;cran :</span></p>

<pre><code>    export WCDSTACKFILE=$HOME/.wcd/stack.$WINDOW</code></pre>

</dd>
<dt id="TERMINFO"><b>TERMINFO</b></dt>
<dd>

<p>Si la variable d&#39;environnement <i>TERMINFO</i> est d&eacute;finie, wcd avec l&#39;interface ncurses recherche une d&eacute;finition de terminal localement avant de le faire &agrave; l&#39;emplacement standard. Cela est utile si les d&eacute;finitions du terminal ne sont pas dans un emplacement standard. Les emplacements couramment utilis&eacute;s sont <code>/usr/lib/terminfo</code> et <code>/usr/share/terminfo</code>.</p>

</dd>
<dt id="PDC_RESTORE_SCREEN"><b>PDC_RESTORE_SCREEN</b></dt>
<dd>

<p>Wcd avec l&#39;interface PDCurses reconna&icirc;t la variable d&#39;environnement <i>PDC_RESTORE_SCREEN</i>. Si cette variable d&#39;environnement est d&eacute;finie, PDCurses fera une copie du contenu de l&#39;&eacute;cran au moment au wcd est <span style="white-space: nowrap;">d&eacute;marr&eacute; ;</span> lorsque wcd quitte, l&#39;&eacute;cran sera restaur&eacute;. Un exemple pour Windows Command <span style="white-space: nowrap;">Prompt :</span></p>

<pre><code>    set PDC_RESTORE_SCREEN=1</code></pre>

<p>Windows n&#39;autorise la sauvegarde que d&#39;un petit tampon. Il n&#39;est donc pas toujours possible de tout restaurer. Des donn&eacute;es inutiles peuvent &ecirc;tre affich&eacute;es dans la console apr&egrave;s que wcd ait termin&eacute; si vous avez d&eacute;fini une largeur de tampon importante.</p>

</dd>
<dt id="SHELL"><b>SHELL</b></dt>
<dd>

<p>L&#39;impression de <code>#!$SHELL</code> sur la premi&egrave;re ligne du script <span style="white-space: nowrap;">&laquo; go &raquo;</span> est n&eacute;cessaire pour une interface syst&egrave;me de type POSIX pour les caract&egrave;res de 8 bits. Certaines interfaces syst&egrave;me consid&egrave;rent autrement que le script <span style="white-space: nowrap;">&laquo; go &raquo;</span> est un fichier binaire et ne l&#39;incluerons pas. Dans Cygwin bash, la variable <i>SHELL</i> doit &ecirc;tre d&eacute;finie dans l&#39;environnement en utilisant la commande <code>export</code>, sinon wcd ne peut pas lire cette variable.</p>

</dd>
<dt id="BASH"><b>BASH</b></dt>
<dd>

<p>Wcd pour l&#39;interface syst&egrave;me DOS utilise <code>$BASH</code> &agrave; la place de <code>$SHELL</code> parce que <code>$SHELL</code> pointe vers l&#39;interface de commandes syst&egrave;me. Il est potentiellement requis de d&eacute;finir <code>$BASH</code> avec une commande <code>export</code>, autrement wcd ne peut pas lire la variable.</p>

</dd>
</dl>

<h1 id="VOIR-AUSSI">VOIR AUSSI</h1>

<p>sh(1), bash(1), csh(1), ksh(1), zsh(1), locale(1), ncurses(1),</p>

<h1 id="AUTEURS">AUTEURS</h1>

<p>Wcd a &eacute;t&eacute; &eacute;crit par Erwin Waterlander &lt;waterlan@xs4all.nl&gt;</p>

<p>Project <span style="white-space: nowrap;">homepage :</span> <a href="http://waterlan.home.xs4all.nl/">http://waterlan.home.xs4all.nl/</a></p>

<p><span style="white-space: nowrap;">SourceForge :</span> <a href="http://sourceforge.net/projects/wcd/">http://sourceforge.net/projects/wcd/</a></p>

<p>La mise en page du manuel a &eacute;t&eacute; faite par Jari Aalto &lt;jari.aalto@cante.net&gt;.</p>

<p>NCD fut initialement &eacute;crit par Brad Kingsbury pour <span style="white-space: nowrap;">&laquo; Norton</span> <span style="white-space: nowrap;">Utilities &raquo;</span> de Peter Norton aux environs de 1987. Voir aussi <a href="http://www.softpanorama.org/OFM/norton_change_directory_clones.shtml">http://www.softpanorama.org/OFM/norton_change_directory_clones.shtml</a></p>


</body>

</html>


